# ShowGeometryInstanceAttribute

#### new Cesium.ShowGeometryInstanceAttribute(show)
Core/ShowGeometryInstanceAttribute.js 42

Value and type information for per-instance geometry attribute that determines if the geometry instance will be shown.

Name | Type | Default | Description
--- | --- | --- | ---
`show` | Boolean | `true` | optional Determines if the geometry instance will be shown.

##### Example:

    var instance = new Cesium.GeometryInstance({
      geometry : new Cesium.BoxGeometry({
        vertexFormat : Cesium.VertexFormat.POSITION_AND_NORMAL,
        minimum : new Cesium.Cartesian3(-250000.0, -250000.0, -250000.0),
        maximum : new Cesium.Cartesian3(250000.0, 250000.0, 250000.0)
      }),
      modelMatrix : Cesium.Matrix4.multiplyByTranslation(Cesium.Transforms.eastNorthUpToFixedFrame(
        Cesium.Cartesian3.fromDegrees(-75.59777, 40.03883)), new Cesium.Cartesian3(0.0, 0.0, 1000000.0), new Cesium.Matrix4()),
      id : 'box',
      attributes : {
        show : new Cesium.ShowGeometryInstanceAttribute(false)
      }
    });

##### See:

- GeometryInstance
- GeometryInstanceAttribute

### Members

#### readonlycomponentDatatype : ComponentDatatype
Core/ShowGeometryInstanceAttribute.js 67

The datatype of each component in the attribute, e.g., individual elements in `ColorGeometryInstanceAttribute#value`.

Default Value: ``ComponentDatatype.UNSIGNED_BYTE``

#### readonlycomponentsPerAttribute : Number
Core/ShowGeometryInstanceAttribute.js 83

The number of components in the attributes, i.e., `ColorGeometryInstanceAttribute#value`.

Default Value: `1`

#### readonlynormalize : Boolean
Core/ShowGeometryInstanceAttribute.js 101

When `true` and `componentDatatype` is an integer format, indicate that the components should be mapped to the range [0, 1] (unsigned) or [-1, 1] (signed) when they are accessed as floating-point for rendering.

Default Value: `true`

#### value : Uint8Array
Core/ShowGeometryInstanceAttribute.js 52

The values for the attributes stored in a typed array.

Default Value: `[1.0]`

### Methods

#### staticCesium.ShowGeometryInstanceAttribute.toValue(show, result) → Uint8Array
Core/ShowGeometryInstanceAttribute.js 119

Converts a boolean show to a typed array that can be used to assign a show attribute.

Name | Type | Description
--- | --- | ---
`show` | Boolean | The show value.
`result` | Uint8Array | optional The array to store the result in, if undefined a new instance will be created.

##### Returns:

The modified result parameter or a new instance if result was undefined.

##### Example:

    var attributes = primitive.getGeometryInstanceAttributes('an id');
    attributes.show = Cesium.ShowGeometryInstanceAttribute.toValue(true, attributes.show);